-- SQL script to create databases. The user information is in t1,
-- and t2 is filled with data so that the download takes some time.

-- t1
CREATE TABLE t1
( ID uniqueidentifier primary key default newid(),
  name varchar(50) )
go

INSERT INTO t1( name ) VALUES ( 'user1' )
INSERT INTO t1( name ) VALUES ( 'user2' )
go

CREATE TABLE t2 (
	id INT PRIMARY KEY DEFAULT AUTOINCREMENT,
	c2 VARCHAR(128)
	)
go

-- t1
create procedure InsertTenRows ()
begin
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    insert into t2 ( c2 ) values ( 'Some string or other' );
    commit
end
go

create procedure InsertOneHundredRows()
begin
    -- message '>>Insert 100 rows.' type info to client;
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
    call InsertTenRows();
end
go

create procedure InsertOneThousandRows()
begin
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
    call InsertOneHundredRows();
end
go

create procedure InsertTenThousandRows()
begin
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
    call InsertOneThousandRows();
end
go

create procedure InsertOneHundredThousandRows()
begin
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
    call InsertTenThousandRows();
end
go

create procedure InsertOneMillionRows()
begin
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
    call InsertOneHundredThousandRows();
end
go

// call InsertOneThousandRows();
call InsertTenThousandRows()
go

-- Snapshot synchronization -- download all rows of t1 and t2
call ml_add_table_script( 
    'FileTransfer', 
    't1', 
    'download_cursor',
    'SELECT id, name FROM t1' )
go

call ml_add_table_script( 
    'FileTransfer', 
    't2', 
    'download_cursor',
    'SELECT id, c2 FROM t2' )
go

CREATE PUBLICATION FileTransfer
( TABLE t1, TABLE t2)
go

